﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataGridHierarchicalData
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<WorkListItem> data = new List<WorkListItem>();
            List<Document> child = new List<Document>();
            child.Add(new Document() { Comment = "comment1", DocumentState = "documentstate1" });
            child.Add(new Document() { Comment = "comment2", DocumentState = "documentstate2" });
            child.Add(new Document() { Comment = "comment3", DocumentState = "documentstate3" });
            data.Add(new WorkListItem() { DocumentCount = 1, Documents = child });
            data.Add(new WorkListItem() { DocumentCount = 2, Documents = child });
            data.Add(new WorkListItem() { DocumentCount = 3, Documents = child });
            this.DataContext = data;
        }
    }

    public class WorkListItem
    {
        public int DocumentCount { get; set; }
        public List<Document> Documents { get; set; }
    }

    public class Document
    {
        public string Comment { get; set; }
        public string DocumentState { get; set; }
    }
}
